CEL: Crystal Entity Layer: iBillboardEventHandler Struct Reference (CEL: Crystal Entity Layer Public API Reference)

| ## Public API Reference

- Main Page
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iBillboardEventHandler Struct Reference

An event on some billboard (like being selected or something). More...

`#include <tools/billboard.h>`

List of all members.

## Public Member Functions
virtual void | DoubleClick (iBillboard *billboard, int mouse_button, int mousex, int mousey)=0
| Billboard is double clicked.
virtual void | MouseMove (iBillboard *billboard, int mouse_button, int mousex, int mousey)=0
| Mouse moves while billboard is selected.
virtual void | MouseMoveAway (iBillboard *billboard, int mouse_button, int mousex, int mousey)=0
| Mouse moves away from billboard.
virtual void | Select (iBillboard *billboard, int mouse_button, int mousex, int mousey)=0
| Billboard is selected.
virtual void | Unselect (iBillboard *billboard, int mouse_button, int mousex, int mousey)=0
| Billboard is unselected.

## Detailed Description

An event on some billboard (like being selected or something).

Note that all coordinates in this interface are given in billboard coordinates (see iBillboard for more information about what this means).

Definition at line 68 of file billboard.h.

## Member Function Documentation

virtual void iBillboardEventHandler::DoubleClick | ( | iBillboard * | billboard,
|  | int | mouse_button,
|  | int | mousex,
|  | int | mousey |
| ) |  |  | `[pure virtual]`

Billboard is double clicked.

virtual void iBillboardEventHandler::MouseMove | ( | iBillboard * | billboard,
|  | int | mouse_button,
|  | int | mousex,
|  | int | mousey |
| ) |  |  | `[pure virtual]`

Mouse moves while billboard is selected.

virtual void iBillboardEventHandler::MouseMoveAway | ( | iBillboard * | billboard,
|  | int | mouse_button,
|  | int | mousex,
|  | int | mousey |
| ) |  |  | `[pure virtual]`

Mouse moves away from billboard.

virtual void iBillboardEventHandler::Select | ( | iBillboard * | billboard,
|  | int | mouse_button,
|  | int | mousex,
|  | int | mousey |
| ) |  |  | `[pure virtual]`

Billboard is selected.

virtual void iBillboardEventHandler::Unselect | ( | iBillboard * | billboard,
|  | int | mouse_button,
|  | int | mousex,
|  | int | mousey |
| ) |  |  | `[pure virtual]`

Billboard is unselected.

The documentation for this struct was generated from the following file:

- tools/billboard.h